<?xml version="1.0" encoding="utf-8"?>
<t:layoutdefinition xmlns:t="http://www.CaptainCasa.com/controllibrary/t" >

<t:beanprocessing id="g_1" beanbinding="#{d.DragDropPaneBean}" />
<t:rowtitlebar id="g_2" />
<t:rowheader id="g_3" />
<t:rowbodypane id="g_4" >
<t:row id="g_7" >
<t:repeat id="g_8" listbinding="#{d.DragDropPaneBean.panelSourceList}" >
<t:pane id="g_9" border=".{border}" dragsend=".{drangsendSource}" height="60" reference=".{paneID}" width="60" >
<t:rowdistance id="g_13" />
<t:row id="g_10" >
<t:coldistance id="g_11" width="50%" />
<t:label id="g_12" text=".{nanoleafID}" />
</t:row>
</t:pane>
<t:coldistance id="g_14" />
</t:repeat>
</t:row>
<t:rowdistance id="g_43" height="40" />
<t:repeat id="g_45" listbinding="#{d.DragDropPaneBean.paneRepeatList}" >
<t:row id="g_47" >
<t:repeat id="g_49" listbinding=".{paneInfoList}" >
<t:pane id="g_51" actionListener="#{d.DragDropPaneBean.onDropSendPaneTarget}" border=".{border}" dragsend=".{drangsendSource}" dropreceive="NANOLEAF" height="60" reference=".{reference}" tooltip=".{reference}" width="60" >
<t:rowdistance id="g_52" />
<t:row id="g_53" >
<t:coldistance id="g_54" width="50%" />
<t:label id="g_55" text=".{nanoleafID}" />
</t:row>
</t:pane>
</t:repeat>
</t:row>
</t:repeat>
</t:rowbodypane>

</t:layoutdefinition>